Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Virgo » Virgo 3.0.1 greenpages 2.4 build problems in STS 2.8(Virgo 3.0.1 greenpages 2.4 build problems in STS 2.8)
Virgo 3.0.1 greenpages 2.4 build problems in STS 2.8 [message #757643] Mon, 21 November 2011 00:20 Go to next message
Jay Hamilton is currently offline Jay Hamilton
Messages: 19
Registered: October 2011
Junior Member
I am having issues with building the greenpages-solution PAR with STS 2.8. I am wondering if anyone has succeeded in getting it to build and run. I am using version 2.4 of greenpages. I have succeeded in running it in the past via STS 2.7. My problems started with the pom.xml file where I needed to include the following:
<pluginManagement>
<plugins>
<plugin>
<groupId>org.eclipse.m2e</groupId>
<artifactId>lifecycle-mapping</artifactId>
<version>1.0.0</version>
<configuration>
<lifecycleMappingMetadata>
<pluginExecutions>
<pluginExecution>
<pluginExecutionFilter>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-dependency-plugin</artifactId>
<versionRange>[2.0,)</versionRange>
<goals>
<goal>copy-dependencies</goal>
</goals>
</pluginExecutionFilter>
<action>
<ignore />
</action>
</pluginExecution>
</pluginExecutions>
</lifecycleMappingMetadata>
</configuration>
</plugin>
</plugins>
</pluginManagement>

After adding this tag into the greenpage-solution pom.xml I no longer get the following error:

"maven-dependency-plugin (goals "copy-dependencies","unpack") is not supported by m2e."

Now I am attempting to build and deploy the greenpage-solutions par file to virgo-tomcat-server-3.0.1.RELEASE within STS 2.8.

I am getting dependency errors during the build process as follows:

[ERROR] Failed to execute goal on project greenpages-solution: Could not resolve dependencies for project org.eclipse.virgo:greenpages-solution:par:2.4.0.RELEASE: The following artifacts could not be resolved: org.eclipse.virgo:greenpages.app-solution:jar:2.4.0.RELEASE, org.eclipse.virgo:greenpages.jpa-solution:jar:2.4.0.RELEASE, org.eclipse.virgo:greenpages.db-solution:jar:2.4.0.RELEASE, org.eclipse.virgo:greenpages.web-solution:war:2.4.0.RELEASE: Failure to find org.eclipse.virgo:greenpages.app-solution:jar:2.4.0.RELEASE in ... was cached in the local repository, resolution will not be reattempted until the update interval of com.springsource.repository.bundles.snapshot has elapsed or updates are forced -> [Help 1]
[

The pom file workaround seems to skip copying dependencies within Eclipse??? There seems to be a problem, potentially, with my repsitories so I will pursue that.

Re: Virgo 3.0.1 greenpages 2.4 build problems in STS 2.8 [message #757644 is a reply to message #757643] Mon, 21 November 2011 02:02 Go to previous messageGo to next message
Jay Hamilton is currently offline Jay Hamilton
Messages: 19
Registered: October 2011
Junior Member
After modifying the pom.xml within the greenpages-solutions project, replacing <ignore /> with <execute />, I was able to see $GREENPAGES_HOME\solution\greenpages\target\par-provided folder. Following the documentation instructions,copying depdencies to the <$VIRGO-TOMCAT_HOME>\repository\usr folder, I was able to run the example.
Re: Virgo 3.0.1 greenpages 2.4 build problems in STS 2.8 [message #757674 is a reply to message #757644] Mon, 21 November 2011 08:53 Go to previous messageGo to next message
Martin Lippert is currently offline Martin Lippert
Messages: 123
Registered: July 2009
Senior Member
Hi!

Just some background: STS 2.8.0 includes the upgrade to m2e 1.0, the Maven Integration for Eclipse that comes with Eclipse Indigo. This Maven integration includes some major changes compared to the 0.12.x versions we shipped before with STS 2.7..2 and prior, and also caused the problems you are describing.

One more quick note: Please notice that the Virgo IDE tooling is not yet compatible with STS 2.8.0 (because of upgraded Spring libs inside of STS 2.8.0). Therefore if you wanna use the Virgo IDE tooling, I would recommend to use STS 2.7.2 or plain Eclipse Indigo JEE SR1.

HTH,
Martin
Re: Virgo 3.0.1 greenpages 2.4 build problems in STS 2.8 [message #759439 is a reply to message #757674] Mon, 28 November 2011 16:56 Go to previous message
Jay Hamilton is currently offline Jay Hamilton
Messages: 19
Registered: October 2011
Junior Member
Martin,
thanks for the background. Even though Virgo tooling is not supported within 2.8 I have been able to run the greenpages example with the tooling. I do notice some deployment issues of greenpages on occasion. As I start trying to modify greenpages I am sure I will notice more, but for now it seems to be adequate enough for my experimentation.
Previous Topic:First page load takes a long time
Next Topic:error when installing Snaps 3.0.2 on VTS 3.0.2
Goto Forum:
  


Current Time: Sat Sep 20 08:10:59 GMT 2014

Powered by FUDForum. Page generated in 0.01684 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software